#include <string>
#include <Windows.h>
#include "MSGPACK.H"
#include "wintab.h"

#define PACKETDATA	(PK_X | PK_Y | PK_BUTTONS | PK_NORMAL_PRESSURE)
#define PACKETMODE	PK_BUTTONS
#include "pktdef.h"
#include "wtutil.h"

class Tablet {
public:

	Tablet() {
		if (!LoadWintab() || !gpWTInfoA(0, 0, nullptr)) {
			return;
		}
	}

	~Tablet() {
		UnloadWintab();
	}

private:

	HCTX hctx = NULL;
	UINT wDevice = 0;
	AXIS TabletX = { 0 };
	AXIS TabletY = { 0 };
	LOGCONTEXT ctx = {};

	void NewContext() {
		ctx.lcOptions |= CXO_SYSTEM;
		gpWTInfoA(WTI_DEFSYSCTX, 0, &ctx);
		ctx.lcOptions |= CXO_MESSAGES; //TODO: checker ela
		ctx.lcPktData = PACKETDATA;
		ctx.lcPktMode = PACKETMODE;
		

		gpWTInfoA(WTI_DEVICES, DVC_X, &TabletX);
		gpWTInfoA(WTI_DEVICES, DVC_Y, &TabletY);

		ctx.lcInOrgX = 0;
		ctx.lcInOrgY = 0;
		ctx.lcInExtX = TabletX.axMax;
		ctx.lcInExtY = TabletY.axMax;

		ctx.lcOutOrgX = GetSystemMetrics(SM_XVIRTUALSCREEN);
		ctx.lcOutOrgY = GetSystemMetrics(SM_YVIRTUALSCREEN);
		ctx.lcOutExtX = GetSystemMetrics(SM_CXVIRTUALSCREEN);
		ctx.lcOutExtY = -GetSystemMetrics(SM_CYVIRTUALSCREEN);

		hctx = gpWTOpenA(, &ctx, FALSE);
		
	}

};